/*
Theme Name: Turismo Goro
Theme URI: http://www.concreta09.com
Author: Luca Benati
Author URI: http://lucabenati.it
Description: Tema child di Twenty Twenty-Five utilizzabile per la customizzazione.
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Template: twentytwentyfive
Text Domain: turismo-goro
*/

.min-h-100vh {
    min-height: 100vw !important;
}
/* personalizzazione blocco cover */
@media screen and (max-width: 782px) {
    .wp-block-cover {
        /* min-height: 100vw !important; */
    }
}

/* fine personalizzazione blocco cover */

/* personalizzazione blocco Media e testo */


.wp-block-media-text.is-style-border-radius-shadow .wp-block-media-text__media img {
    box-shadow: var(--wp--preset--shadow--natural);
    border-radius: 1rem;
}


/* WPML */ 

.goro-lang-switcher {
    color: #fff !important;
    background: trnasparent: !important;
    text-transform: uppercase;
}

.goro-lang-switcher li.has-base-background-color,
.has-base-background-color {
/*    background: transparent !important; */
}

.goro-lang-switcher .horizontal-list > li:nth-child(2) {
    margin-left: -1.5em !important;
}

.goro-lang-switcher [data-wpml="language-item"],
.goro-lang-switcher [data-wpml="current-language-item"] {
     background: transparent !important;
}

.wp-block-navigation .wp-block-navigation-submenu .wp-block-navigation-item:not(:last-child) {
    margin-bottom: 0px !important;
}

.wp-block-navigation .wpml-language-switcher-navigation-block ul.horizontal-list, ul.horizontal-list {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: flex-start;
    margin: 0 !important;
    gap: 0.5em !important;
}

ul.wp-block-navigation li.contact-topmenu-item {
    margin-left: auto !important;
}


.horizontal-list > li:nth-child(1)::after {
    content: "/";
    margin: 0 2px;
}




@media screen and (min-width: 1024px) {
    .wp-block-media-text:not(.has-media-on-the-right) .wp-block-media-text__content {
        padding-left: 20px !important;
        padding-right: 0;
    }

    .wp-block-media-text.has-media-on-the-right .wp-block-media-text__content {
        padding-right: 20px !important;
        padding-left: 0;
    }
}



/* fine personalizzazione blocco Media e testo */


/* menu mobile */
@media screen and (max-width: 768px) {
    #modal-1-content.wp-block-navigation__responsive-container .wp-block-navigation__responsive-container-content {
        align-items: flex-start;
        display: flex;
        flex-direction: var(--navigation-layout-direction,initial);
        flex-wrap: var(--navigation-layout-wrap,wrap);
        justify-content: flex-start;
    }

    .wp-block-navigation.items-justified-right {
        --navigation-layout-justification-setting: flex-start;
        --navigation-layout-justify: flex-end;
    }
}